Subject: Re: bug#36858: 27.0.50; display bugs with display-fill-column-indicator-mode

From: Ergus <[email-masked]>
Date: Fri, 02 Aug 2019 12:25:15 +0200

Hi Eli:

I will give a look the next week. 

The org mode issue seems more or less easy to fix. 

But for the company-mode I need to check if there is a condition to distinguish normal text from the company popups. From the display engine. Else we could consider to extend the line always until the end of the screen... If that is possible...

On August 2, 2019 11:16:52 AM GMT+02:00, Eli Zaretskii <[email-masked]> wrote:
>> From: Davor Rotim <[email-masked]>
>> Date: Tue, 30 Jul 2019 20:11:04 +0200
>> 
>> Hello, in the attached images are two cases I noticed where
>`display-fill-column-indicator-mode' causes
>> display bugs. First case is with faces that use the :overline or
>:underline property, the lines will extend fully
>> towards the indicator. Second case is with `company-mode' when
>there's no text entered and the completion
>> dialog pops up which display-fill-column-indicator-mode treats like
>ordinary text.
>
>Jimmy, could you please take a look at these two issues?
>
>Thanks.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.